@import '../../../styles/variables.scss';

.project {
  font-family: 'Jost', sans-serif;

  &_heading {
    text-align: center;

    &__subtitle {
      margin-bottom: 12px;

      display: flex;
      align-items: center;
      justify-content: center;

      div {
        margin: 0 5px;
        padding: 2px 8px;
        box-sizing: border-box;

        border-radius: 4px;

        background-color: rgba(0, 0, 0, .05);
      }
    }
  }

  &_info {
    @include reset-list;

    margin: 24px auto 0;
    max-width: 620px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;

    & li {
      margin-bottom: 24px;
      text-align: center;

      &:last-child {
        margin-bottom: 0;
      }
    }

    &__name {
      margin-bottom: 6px;
    }
  }

  &_about {
    font-size: 16px;
  }

  &_gallery {
    @include reset-list;

    &__images {
      padding-top: 100%;
      margin-bottom: 24px;

      width: 100%;

      background-position: center;
      background-repeat: no-repeat;
      background-size: cover;

      &:last-child {
        margin-bottom: 0;
      }
    }
  }
}

@media (min-width: $breakpoint-2) {
  .project {
    &_info {
      margin-top: 48px;

      flex-direction: row;

      & li {
        margin-bottom: 0;
      }
    }

    &_about {
      max-width: 760px;

      font-size: 18px;
    }

    &_gallery {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-template-areas:
              "zero zero zero zero"
              "one one two two"
              "three three three three";

      &__images {
        width: auto;
        margin-bottom: 0;
      }

      .__item-0 {
        margin-bottom: 24px;
        grid-area: zero;
      }

      .__item-1 {
        margin-right: 12px;
        grid-area: one;
      }

      .__item-2 {
        margin-left: 12px;
        grid-area: two;
      }

      .__item-3 {
        margin-top: 24px;
        grid-area: three;
      }
    }
  }
}
